Package org.apache.aries.jax.rs.jaxb.json.activator

## Class PropertyWrapper

- java.lang.Object
- - org.apache.aries.jax.rs.jaxb.json.activator.PropertyWrapper

    public class PropertyWrapper
    extends Object

### Constructor Summary

Constructors
`PropertyWrapper​(Dictionary<String,​?> properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyBoolean​(String property, Consumer<Boolean> consumer)`
`void` `applyString​(String property, Consumer<String> consumer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyWrapper

    public PropertyWrapper​(Dictionary<String,​?> properties)

### Method Detail

#### applyBoolean

    public void applyBoolean​(String property,
                             Consumer<Boolean> consumer)

#### applyString

    public void applyString​(String property,
                            Consumer<String> consumer)